Bug 660654 - Entitlements Note
Summary: Entitlements Note
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: Documentation
Version: 1.2
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: ---
Assignee: Lana Brindley
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-07 14:02 UTC by Jay Dobies
Modified: 2016-02-18 05:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-14 21:15:08 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jay Dobies 2010-12-07 14:02:30 UTC
= Background =

Cloud providers will be issued one certificate to use to connect to Red Hat. That will contains all the entitlements they need, for example: RHEL 5, RHEL 6, RHUI, and certification scripts (abbreviated STS for some reason).

The thing is, that's kinda like two different styles of entitlements. The RHEL ones are definitely for the customer. The RHUI/STS ones aren't really. They are meant for the cloud provider's use in setting up the RHUI environment.

So that's one issue, we might want to clarify that. I *hope* that they wouldn't go throwing entitlements all willy-nilly into client certificates, but who knows.

The bigger issue is that these entitlements are defined to use variables for their repo URLs. There are two of them:

$releasever - will be 5Server or 6Server, depending on if the client is a RHEL 5 or 6 box.

$basearch - i386 or x86_64, again being taken from the client it's running on.

That's for all entitlements, including the RHUI ones. (I'm going somewhere with this, trust me).

RHUI isn't supported on RHEL 6 just yet. So we just flat out don't have the packages for it. So if the cloud provider attempts to use a client config RPM that has a RHUI entitlement/repo on a RHEL 6 box, it will fail.

Put a little less technically, we might be able to say that since RHUI isn't supported on RHEL 6, they cannot generate an entitlement certificate with RHEL 6 and RHUI entitlements on the same certificate.

Does that make sense? It's a lot of lead up for what will probably be a warning note in the docs, but I wanted to explain what it was so you can pretty it up rather than just saying "Tell them not to do that."

Comment 1 Lana Brindley 2010-12-08 04:31:16 UTC
<important>
	<title>Important</title>
	 <para>
		&RHUI; is not currently supported on &RHEL; 6. This means that you will not be able to generate an entitlement certificate that contains both &RHEL; 6 and &RHUI; entitlements.
	</para>
</important>

Updated in revision 0-10.

LKB

Comment 2 Lana Brindley 2010-12-14 21:15:08 UTC
This book does not have enough content to justify publishing for this release. Closing this bug.

LKB


Note You need to log in before you can comment on or make changes to this bug.